Bug 480752 - xrandr detects correct resolution but always mirrors second display
xrandr detects correct resolution but always mirrors second display
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
11
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 05:49 EST by Gerard Fernandes
Modified: 2009-12-04 12:57 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 12:57:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
XOrg.0.log (laptop with VGA attached) (239.75 KB, text/plain)
2009-01-20 16:30 EST, Gerard Fernandes
no flags Details
Xorg.0.old (91.50 KB, text/plain)
2009-01-20 16:30 EST, Gerard Fernandes
no flags Details
Xorg.1.log (laptop with VGA attached) (86.85 KB, text/plain)
2009-01-20 16:31 EST, Gerard Fernandes
no flags Details
Xorg.1.log.old (89.09 KB, text/plain)
2009-01-20 16:32 EST, Gerard Fernandes
no flags Details
xrandr screnshot with VGA set to max possible res. Doesn't have any effect (20.57 KB, image/png)
2009-01-20 16:36 EST, Gerard Fernandes
no flags Details

  None (edit)
Description Gerard Fernandes 2009-01-20 05:49:37 EST
Description of problem: xrandr always mirrors current screen on second display (regardless of whether second display is hot-plugged or cold-plugged). This results in the second display being stretched.

I have an Acer laptop (TravelMate 4000, Intel Centrino Dothan, onboard Intel graphics) with a LCD resolution of 1024x768. I sometimes connect this to my TV (a Samsung 32" LCD TV) which has a 16:9 aspect ratio and resolution of 1366 x 768. xrandr correctly detects the second display (Samsung TV) but always mirrors the laptop screen. De-selecting the mirror option and setting the Samsung TV resolution to it's correct setting has absolutely no effect. Closing and starting up xrandr results in the mirror option being re-selected.


Version-Release number of selected component (if applicable): current, fully updated Fedora 10.


How reproducible: Always


Steps to Reproduce:
1. Start up Acer Laptop (TravelMate 4000) and log in
2. Connect to Samsung LCD TV
3. Observe the screen is detected and mirrored to the second screen (Samsung LCD TV)
4. Open xrandr (System/Prefs/Hardware/Display)
5. Observe the "mirror" option is selected
6. De-select the "Mirror" option
7. Drag the second display and position it to the left of the main laptop LCD
8. Select the second display and change the resolution to it's correct maximum resolution (1366 x 768) - this should be the first option on the drop-down list
9. Click on the Apply button
  
Actual results:

Nothing happens

Expected results:

The Samsung LCD TV display should be reset to it's native maximum resolution (1366 x 768).

Additional info:

You can repeat the steps to reproduce with the Samsung LCD TV connected before starting up the laptop. The results are the same. While I know that changing settings in xrandr is not intended to be persistent, I would at least expect changing settings and applying changes to work dynamically on both connected displays.
Comment 1 Matěj Cepl 2009-01-20 11:39:38 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Gerard Fernandes 2009-01-20 16:30:02 EST
Created attachment 329505 [details]
XOrg.0.log (laptop with VGA attached)

I don't have an xorg.conf. Am attaching Xorg.*.log files.
Comment 3 Gerard Fernandes 2009-01-20 16:30:56 EST
Created attachment 329506 [details]
Xorg.0.old
Comment 4 Gerard Fernandes 2009-01-20 16:31:52 EST
Created attachment 329507 [details]
Xorg.1.log (laptop with VGA attached)
Comment 5 Gerard Fernandes 2009-01-20 16:32:41 EST
Created attachment 329508 [details]
Xorg.1.log.old
Comment 6 Gerard Fernandes 2009-01-20 16:36:01 EST
Created attachment 329510 [details]
xrandr screnshot with VGA set to max possible res. Doesn't have any effect

VGA in the screenshot is the Samsung TV - it mistakenly thinks the TV is a 40" (it's actually a 32" LCD TV). The max resolution is correct though. Selecting it and clicking Apply has no effect.
Comment 7 Vedran Miletić 2009-11-05 18:12:12 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, including Intel driver, which may have resolved this issue.
To be more precise, Intel has undergone a major rewrite during Fedora 10, 11 and 12 cycles, and whole driver is working a lot better now. Users who have experienced this problem are encouraged to retry with at least Fedora 12 Beta and see if the issue is still relevant.

Please, if you experience this problem on Fedora 12 Beta or up-to-date system running Rawhide, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

We hope to see how many older bugs in Intel driver are still relevant today, in hope that most of them were fixed in rewrite process.

[This is a bulk message for all open Fedora 10 i810-related bugs (39 of them are still open). I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 8 Gerard Fernandes 2009-11-06 03:09:39 EST
Bug still present in Fedora-11 with all updates applied. Will check again after F-12 release and update.
Comment 9 Vedran Miletić 2009-12-04 12:57:37 EST
Thank you for your bug report.

We are sorry, but the Fedora Project is will soon stop longer releasing bug fixes or any other updates for this version of Fedora. There were so many changes between Fedora 10 and Fedora 12 in Intel driver and X.Org that it's very likely that this bug is fixed. This bug will be set to CLOSED:WONTFIX to reflect this, but please reopen it if the problem persists after upgrading to the latest version of Fedora (version 12), which is available from:

http://fedoraproject.org/get-fedora

Note You need to log in before you can comment on or make changes to this bug.